%define	major	1
%define	libname	%mklibname %{name} %{major}

Name: resmgr
Version: 1.0
Release:	%mkrel 7
License:	GPL
Group: System/Servers
Summary:	A program to allow arbitrary access to device files
Source:		ftp://ftp.lst.de/pub/people/okir/%{name}/%{name}-%{version}.tar.bz2
Source1:	resmgr.init
Source2:	resmgr.conf
Source3:	desktopdev
Patch0: resmgr-1.0-syslog.patch 
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL: http://www.lst.de/~okir/resmgr/
Requires(post):	rpm-helper
Requires(preun):	rpm-helper
BuildRequires:	pam-devel

%description
The resource manager is a framework to give user applications access
to certain device files. The resource manager daemon can be configured
to give certain users access to different resource classes.

It supports hotplugging devices (i.e. new devices can be added to
and removed from resource classes at run time), and it provides
transparent access to the raw SCSI device corresponding to
a CD writer or a scanner.

%package -n	%{libname}
Summary:	Libraries needed for nasd
Group:		System/Libraries

%description -n	%{libname}
Libraries needed for nasd and other programs linked against nasd.

%package -n	%{libname}-devel
Summary:	Development headers and libraries for writing programs using NAS
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{libname}-devel
This package allows you to develop your own network audio programs.

%prep
%setup -q
%patch0 -p1 -b .syslog

%build
%make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std LIBDIR=$RPM_BUILD_ROOT/%{_lib} PAMDIR=$RPM_BUILD_ROOT/%{_lib}/security

ln -sf libresmgr.so.* $RPM_BUILD_ROOT/%{_lib}/libresmgr.so
install -m755 %{SOURCE1} -D $RPM_BUILD_ROOT%{_initrddir}/%{name}
mkdir -p $RPM_BUILD_ROOT/usr/sbin/
ln -s ../..%{_initrddir}/%{name} $RPM_BUILD_ROOT%{_sbindir}/rc%{name}
# install config file
install -m644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.conf
install -c -m755 %{SOURCE3} -D $RPM_BUILD_ROOT%{_sysconfdir}/udev/agents.d/usb/desktopdev

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO ANNOUNCE
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_initrddir}/%{name}
%{_sysconfdir}/udev/agents.d/usb/desktopdev
%{_sbindir}/rc%{name}
/sbin/%{name}
/sbin/%{name}d
%{_mandir}/man*/*

%files -n %{libname}
%defattr(-,root,root)
/%{_lib}/*.so.*
/%{_lib}/security/*

%files -n %{libname}-devel
%defattr(-,root,root)
/%{_lib}/*.so
%{_includedir}/%{name}.h



%changelog
* Wed Nov 08 2006 Bart the Build Bot <bartbot at pclinuxos dot com> 1.0-7pclos2007
- Build for PCLinuxOS 2007

